- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDStencils Class Reference

`#include <VSDStencils.h>`

## Public Member Functions
| VSDStencils ()
| ~VSDStencils ()
void | addStencil (unsigned idx, const VSDStencil &stencil)
const VSDStencil * | getStencil (unsigned idx) const
const VSDShape * | getStencilShape (unsigned pageId, unsigned shapeId) const
unsigned | count () const
void | clear ()

## Private Attributes
std::map< unsigned, VSDStencil > | m_stencils

## Constructor & Destructor Documentation

libvisio::VSDStencils::VSDStencils | ( |  | ) |

libvisio::VSDStencils::~VSDStencils | ( |  | ) |

## Member Function Documentation

void libvisio::VSDStencils::addStencil | ( | unsigned | idx,
|  | const VSDStencil & | stencil
| ) |  |

void libvisio::VSDStencils::clear | ( |  | ) |

unsigned libvisio::VSDStencils::count | ( |  | ) | const
| inline

const libvisio::VSDStencil * libvisio::VSDStencils::getStencil | ( | unsigned | idx | ) | const

const libvisio::VSDShape * libvisio::VSDStencils::getStencilShape | ( | unsigned | pageId,
|  | unsigned | shapeId
| ) |  | const

## Member Data Documentation

std::map<unsigned, VSDStencil> libvisio::VSDStencils::m_stencils
| private

Referenced by count().

The documentation for this class was generated from the following files:

- VSDStencils.h
- VSDStencils.cpp